./devel/ruby-metaclass, Adds a metaclass method to all Ruby objects

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.0.4, Package name: ruby200-metaclass-0.0.4, Maintainer: pkgsrc-users

Adds a metaclass method to all Ruby objects.

Motivations :-

* Even though WhyTheLuckyStiff's [metaid gem]
(https://rubygems.org/gems/metaid) does something similar, apparently the
metaclass method without underscores [doesn't play well with Rails v2.3]

* I'm trying to extract code out of the [mocha gem]
(https://github.com/floehopper/mocha) and this is an obvious candidate.


Required to run:
[lang/ruby200-base]

Master sites:

SHA1: 1c260bcb24bcf0867ca9d601a0b64d45d36e4a30
RMD160: 419974b1cf3967ea168b13b17861d57727475f1e
Filesize: 6.5 KB

Version history: (Expand)


CVS history: (Expand)


   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2014-03-14 17:08:18 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
Update ruby-metaclass to 0.0.4.

A few clean up.
   2013-04-07 22:49:45 by Blue Rats | Files touched by this commit (91)
Log message:
Edited DESCR in the case of:
 File too long (should be no more than 24 lines).
 Line too long (should be no more than 80 characters).
 Trailing empty lines.
 Trailing white-space.
Trucated the long files as best as possible while preserving the most info
contained in them.
   2011-09-12 13:46:27 by Takahiro Kambe | Files touched by this commit (4) | Imported package
Log message:
IMporting ruby-metaclass version 0.0.1, which is needed by newer
version of ruby-mocha package.